sonarqube_preview:
  script:
    - git checkout origin/master
    - git merge $CI_BUILD_REF --no-commit --no-ff
    - mvn --batch-mode verify sonar:sonar -Dsonar.host.url=http://snsl-393:9000 -Dsonar.analysis.mode=preview -Dsonar.gitlab.project_id=$CI_PROJECT_PATH -Dsonar.gitlab.commit_sha=$CI_BUILD_REF -Dsonar.gitlab.ref_name=$CI_BUILD_REF_NAME
  stage: test
  except:
    - develop
    - master
    - /^hotfix_.*$/
    - /.*-hotfix$/
  tags:
    - java

sonarqube:
  script:
    - mvn --batch-mode verify sonar:sonar -Dsonar.host.url=http://snsl-393
  stage: test
  only:
    - master
  tags:
    - java
